WordPress.org

Plugin Directory

search-into-subcategories

Search-Into-Subcategories plugin allows you to make a select-search shortcode for your own categories.

For Demo go here http://codescar.eu/projects/search-into-subcategories

Search-Into-Subcategories plugin allows you to make a select-search shortcode for your own categories.

You can use if everywhere you want and make a tree structure for your categories.

[search-into-subcategories]

Arguments you can pass:

parent_category Default is 0
    You can list only sub categories of the category id you give here. With 0 lists alla categories

max_depth Default is 2
    How many subcategories (children of the parent_category) to display, at least 1.

search_input Default is 1
    Display a text input for search. (You can turn it off with 0 value)

labels Default is <empty string>
    Labels for the inputs. Give them in the order you want with '|' as separator. example: Category1|Category2|Text

search_text Default is Search
    The text to display in search button.

hide_empty Default is 1
    Hide categories without content, set to 0 to display all!

exclude Default is <empty string>
    Category IDs to exclude from listing. Separate them with ','. Example: 6,7,13

show_date_ranges Default is 0
    Show from/to date ranges to filter publish date. Set it to 1 to use it.

custom_field Default is null
    List of custom meta-fields to search in (it will create a new input for every meta-field.
    ( Use , as separator, example: field1,meta_key,etc )

custom_field_labels Default is null
    List for labels in custom meta fields text input. (Use | as separator, example: name1|name2|etc)

custom_post_types Default is null
    Post type to filter results

posts_per_page Default is null
    Set result page posts per page

Example: [search-into-subcategories parent_category=0 max_depth=3 search_input=1 labels=cat1|cat2|cat3|Text search_text=Find hide_empty=0 exclude=7,6 show_date_ranges=1 custom_field=author,my_custom custom_field_labels=Author|Custom custom_post_types=documents posts_per_page=10]

Requires: 3.0.1 or higher
Compatible up to: 4.4.4
Last Updated: 5 months ago
Active Installs: 100+

Ratings

5 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

0,1,0